Last Comment Bug 298097 - Rename calIRecurrenceRule endDate to untilDate
: Rename calIRecurrenceRule endDate to untilDate
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Internal Components (show other bugs)
: unspecified
: All All
: -- trivial (vote)
: 1.0b1
Assigned To: Philipp Kewisch [:Fallen]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-18 08:53 PDT by gekacheka
Modified: 2010-02-04 11:04 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix - v1 (7.34 KB, patch)
2009-09-01 13:25 PDT, Philipp Kewisch [:Fallen]
Mozilla: review+
Details | Diff | Splinter Review

Description gekacheka 2005-06-18 08:53:34 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.8b2) Gecko/20050531 Firefox/1.0+
Build Identifier: trunk

"endDate" is a poor name for the recur-until date.
It is easy to confuse with the end date of the event.  
It is also different from event endDate in that it is inclusive 
rather than exclusive.  

RFC2445 uses "UNTIL" rather than enddate.  
Suggest renaming to use the same terminology:

calIRecurrenceRule.idl

-   attribute calIDateTime endDate;
+   attribute calIDateTime untilDate;


Reproducible: Always

Steps to Reproduce:
Comment 1 Philipp Kewisch [:Fallen] 2009-09-01 13:25:05 PDT
Created attachment 397941 [details] [diff] [review]
Fix - v1

Makes sense, this patch should fix it.
Comment 2 Markus Adrario [:Taraman] 2009-10-03 11:40:53 PDT
Comment on attachment 397941 [details] [diff] [review]
Fix - v1

Looks good to me.
r=markus
Comment 3 Philipp Kewisch [:Fallen] 2009-10-04 04:59:27 PDT
Pushed to comm-central <http://hg.mozilla.org/comm-central/rev/7045fb8f5e2d>

-> FIXED

Note You need to log in before you can comment on or make changes to this bug.